Index: branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs	(revision 156)
+++ branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs	(revision 157)
@@ -14,7 +14,7 @@
         /// <summary>
         /// 本体バージョン
         /// </summary>
-        public static int s_SystemVersion = 36;
+        public static int s_SystemVersion = 37;
 
         /// <summary>
         /// コピー・環境バージョン
Index: branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsSystemOnceExecute.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsSystemOnceExecute.cs	(revision 156)
+++ branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsSystemOnceExecute.cs	(revision 157)
@@ -538,18 +538,17 @@
                         if (wrkRec.JoinFlg == (int)CommonDefine.BaseInfoJoinFlg.JoinParent) continue;
                         // 結合工事の子は処理しない
                         if (wrkRec.JoinFlg == (int)CommonDefine.BaseInfoJoinFlg.JoinChildren) continue;
-                        // チェック
-                        if (!ConstructionStatusCheck(wrkRec, CriteriaDate, ref term))
+                        // チェックOKならば次のデータ
+                        if (ConstructionStatusCheck(wrkRec, CriteriaDate, ref term)) continue;
+                     
+                        // 掲示板にメッセージを載せるためにループ処理
+                        foreach (TermMaster CurTerm in term)
                         {
-                            // 掲示板にメッセージを載せるためにループ処理
-                            foreach (TermMaster CurTerm in term)
-                            {
-                                // メッセージ作成
-                                if (!MakeMassageData(mbdDB, mbtDB, cbiDDB, wrkRec, CurTerm, CriteriaDate))
-                                {
-                                    procflg = false;
-                                    break;
-                               }
+                            // メッセージ作成
+                            if (!MakeMassageData(mbdDB, mbtDB, cbiDDB, wrkRec, CurTerm, CriteriaDate))
+                            {   // エラー時に抜ける
+                                procflg = false;
+                                break;
                             }
                         }
                         if (!procflg) break;
@@ -557,15 +556,8 @@
                     if (!procflg) break;
                 }
 
-                if (procflg)
+                if (!procflg)
                 {
-                    cbiDB.commit();
-                    cbiDDB.commit();
-                    mbdDB.commit();
-                    mbtDB.commit();
-                }
-                else
-                {
                     cbiDB.rollback();
                     cbiDDB.rollback();
                     mbdDB.rollback();
@@ -581,6 +573,11 @@
             }
             finally
             {
+                cbiDB.commit();
+                cbiDDB.commit();
+                mbdDB.commit();
+                mbtDB.commit();
+
                 cbiDB.close(); cbiDB = null;
                 cbiDDB.close(); cbiDDB = null;
                 mbdDB.close(); mbdDB = null;
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionBudget/FrmConstructionBudgetAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionBudget/FrmConstructionBudgetAuxiliary.cs	(revision 156)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionBudget/FrmConstructionBudgetAuxiliary.cs	(revision 157)
@@ -2760,17 +2760,15 @@
                 // ----- 全日振分
                 // 工期取得
                 BetweenTimes = CommonMotions.cnvDouble(m_DspLabelCtrl[(int)DspLblCtrlName.BetweenTimes].Text);
-                // 着工日
-                DateTime dtStart = CommonMotions.cnvDate(m_DspLabelCtrl[(int)DspLblCtrlName.StartingDate].Text);
-                // 完了日
-                DateTime dtLast = CommonMotions.cnvDate(m_DspLabelCtrl[(int)DspLblCtrlName.CompleteDate].Text);
+                int CalcBetweenTimes = CommonMotions.cnvTruncate(BetweenTimes + 0.99);
+                // 給与計算
+                CostsValue = CommonDefine.InstructorMonthryCost * CalcBetweenTimes;
+                // 構成比率
+                AmountConfigRate = (CostsValue / OrdersPrice) * 100.0;
+                if (AmountConfigRate < -999.00 || 999.00 < AmountConfigRate) AmountConfigRate = 0;
 
-                // 稼働日数取得
-                int workingCount = ClsCalendar.CalcPassedDaysCount(dtStart, dtLast);
-                // 支払い給与計算
-                CommonMotions.CalcPayValueData(CommonDefine.InstructorMonthryCost, OrdersPrice, workingCount, ref CostsValue, ref AmountConfigRate, false);
                 // 給与コンテンツセット
-                Content = string.Format(CommonDefine.s_SalaryCostMonthlyFormat, BetweenTimes.ToString("0.00"), CommonDefine.InstructorMonthryCost.ToString("#,0"));
+                Content = string.Format(CommonDefine.s_SalaryCostMonthlyFormat, CostsValue.ToString("#,0"), CommonDefine.InstructorMonthryCost.ToString("#,0"));
 
                 // 差分日付
                 int dDiffDays = 0;
@@ -2803,10 +2801,12 @@
                         dDiffDays = CalcDifferenceDate(m_ConstructionBaseInfo.ConstructionPeriodStart,
                                                         m_ConstructionBaseInfo.ConstructionPeriodEnd);
                         // 支払い給与計算
-                        CommonMotions.CalcPayValueData(CommonDefine.InstructorMonthryCost, OrdersPrice, dDiffDays, ref CostsValue, ref AmountConfigRate, false);
+                        CostsValue = CommonDefine.InstructorMonthryCost * CalcBetweenTimes;
+                        // 構成比率
+                        AmountConfigRate = (CostsValue / OrdersPrice) * 100.0;
+                        if (AmountConfigRate < -999.00 || 999.00 < AmountConfigRate) AmountConfigRate = 0;
                         // 給与コンテンツセット
-                        Content = string.Format(CommonDefine.s_SalaryCostMonthlyFormat,
-                                                ClsCalendar.cnvMonthFromDays(dDiffDays).ToString("0.00"), CommonDefine.InstructorMonthryCost.ToString("#,0"));
+                        Content = string.Format(CommonDefine.s_SalaryCostMonthlyFormat, CostsValue.ToString("#,0"), CommonDefine.InstructorMonthryCost.ToString("#,0"));
                     }
                 }
 
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedgerList/FrmConstructionLedgerListAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedgerList/FrmConstructionLedgerListAuxiliary.cs	(revision 156)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedgerList/FrmConstructionLedgerListAuxiliary.cs	(revision 157)
@@ -1913,7 +1913,7 @@
 
                 string strSQL = "SELECT SUM(SAL.SALARY) FROM";
                 strSQL += " (SELECT AX.hiduke,";
-                strSQL += string.Format(" ROUND((AX.salary * {0})/ {1}) AS SALARY,", CommonDefine.s_SalaryCorrection, CommonDefine.s_ManHourUnitMonth);
+                strSQL += string.Format(" ROUND((AX.salary * {0}) / DATE_FORMAT(LAST_DAY(AX.hiduke), '%d')) AS SALARY,", CommonDefine.s_SalaryCorrection);
                 strSQL += " MAX(AX.StartD) FROM";
                 strSQL += " (SELECT A.d hiduke, B.MonthlySalary salary, B.STARTDATE StartD FROM";
 
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DepExpenssList/FrmDepExpenssListAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DepExpenssList/FrmDepExpenssListAuxiliary.cs	(revision 156)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DepExpenssList/FrmDepExpenssListAuxiliary.cs	(revision 157)
@@ -1947,7 +1947,7 @@
                 string strSQL = "SELECT SUM(SAL.SALARY) FROM";
 
                 strSQL += " (SELECT AX.hiduke,";
-                strSQL += string.Format(" ROUND((AX.salary * {0})/ {1}) AS SALARY,", CommonDefine.s_SalaryCorrection, CommonDefine.s_ManHourUnitMonth);
+                strSQL += string.Format(" ROUND((AX.salary * {0}) / DATE_FORMAT(LAST_DAY(AX.hiduke), '%d')) AS SALARY,", CommonDefine.s_SalaryCorrection);
                 strSQL += " MAX(AX.StartD) FROM";
 
                 strSQL += " (SELECT A.d hiduke, B.MonthlySalary salary, B.STARTDATE StartD FROM";
